ONVIF::Analytics::Types::NetworkCapabilities(3)

NAME
ONVIF::Analytics::Types::NetworkCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IPFilter

•   ZeroConfiguration

•   IPVersion6

•   DynDNS

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::NetworkCapabilities
   IPFilter =>  $some_value, # boolean
   ZeroConfiguration =>  $some_value, # boolean
   IPVersion6 =>  $some_value, # boolean
   DynDNS =>  $some_value, # boolean
   Extension =>  { # ONVIF::Analytics::Types::NetworkCapabilitiesExtension
     Dot11Configuration =>  $some_value, # boolean
     Extension =>  { # ONVIF::Analytics::Types::NetworkCapabilitiesExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL